﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _923081_RadPageView
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            RadPageViewStripElement stripElement = this.radPageView1.ViewElement as RadPageViewStripElement;
            stripElement.NewItemVisibility = StripViewNewItemVisibility.End;
            
            this.radPageView1.NewPageRequested += new EventHandler(radPageView1_NewPageRequested);
        }

        void radPageView1_NewPageRequested(object sender, EventArgs e)
        {
            RadPageView pageView = sender as RadPageView;
            RadPageViewStripElement stripElement = pageView.ViewElement as RadPageViewStripElement;

            RadPageViewPage page = new RadPageViewPage();
            page.Controls.Add(new UserControl1() { Dock = DockStyle.Fill });
            page.Text = "New Page";
            pageView.Pages.Add(page);

            pageView.SelectedPage = page;
    
            pageView.ViewElement.EnsureItemVisible(stripElement.NewItem);
        }
    }
}